module qsys_top (
		input  wire        clk_100_clk,                            //                        clk_100.clk
		input  wire        emif_hps_pll_ref_clk_clk,               //           emif_hps_pll_ref_clk.clk
		input  wire        emif_hps_oct_oct_rzqin,                 //                   emif_hps_oct.oct_rzqin
		output wire [0:0]  emif_hps_mem_mem_ck,                    //                   emif_hps_mem.mem_ck
		output wire [0:0]  emif_hps_mem_mem_ck_n,                  //                               .mem_ck_n
		output wire [16:0] emif_hps_mem_mem_a,                     //                               .mem_a
		output wire [0:0]  emif_hps_mem_mem_act_n,                 //                               .mem_act_n
		output wire [1:0]  emif_hps_mem_mem_ba,                    //                               .mem_ba
		output wire [0:0]  emif_hps_mem_mem_bg,                    //                               .mem_bg
		output wire [0:0]  emif_hps_mem_mem_cke,                   //                               .mem_cke
		output wire [0:0]  emif_hps_mem_mem_cs_n,                  //                               .mem_cs_n
		output wire [0:0]  emif_hps_mem_mem_odt,                   //                               .mem_odt
		output wire [0:0]  emif_hps_mem_mem_reset_n,               //                               .mem_reset_n
		output wire [0:0]  emif_hps_mem_mem_par,                   //                               .mem_par
		input  wire [0:0]  emif_hps_mem_mem_alert_n,               //                               .mem_alert_n
		inout  wire [8:0]  emif_hps_mem_mem_dqs,                   //                               .mem_dqs
		inout  wire [8:0]  emif_hps_mem_mem_dqs_n,                 //                               .mem_dqs_n
		inout  wire [71:0] emif_hps_mem_mem_dq,                    //                               .mem_dq
		inout  wire [8:0]  emif_hps_mem_mem_dbi_n,                 //                               .mem_dbi_n
		input  wire        enet_refclk_clk,                        //                    enet_refclk.clk
		input  wire [12:0] mge_led_pio_export,                     //                    mge_led_pio.export
		input  wire [3:0]  mge_rcfg_pio_export,                    //                   mge_rcfg_pio.export
		input  wire        reset_reset_n,                          //                          reset.reset_n
		output wire        wd_reset_reset_n,                       //                       wd_reset.reset_n
		input  wire [42:0] s10_hps_f2h_stm_hw_events_stm_hwevents, //      s10_hps_f2h_stm_hw_events.stm_hwevents
		output wire        emac1_mdc_clk,                          //                      emac1_mdc.clk
		output wire        emac2_mdc_clk,                          //                      emac2_mdc.clk
		output wire        hps_io_hps_io_phery_emac0_TX_CLK,       //                         hps_io.hps_io_phery_emac0_TX_CLK
		output wire        hps_io_hps_io_phery_emac0_TXD0,         //                               .hps_io_phery_emac0_TXD0
		output wire        hps_io_hps_io_phery_emac0_TXD1,         //                               .hps_io_phery_emac0_TXD1
		output wire        hps_io_hps_io_phery_emac0_TXD2,         //                               .hps_io_phery_emac0_TXD2
		output wire        hps_io_hps_io_phery_emac0_TXD3,         //                               .hps_io_phery_emac0_TXD3
		input  wire        hps_io_hps_io_phery_emac0_RX_CTL,       //                               .hps_io_phery_emac0_RX_CTL
		output wire        hps_io_hps_io_phery_emac0_TX_CTL,       //                               .hps_io_phery_emac0_TX_CTL
		input  wire        hps_io_hps_io_phery_emac0_RX_CLK,       //                               .hps_io_phery_emac0_RX_CLK
		input  wire        hps_io_hps_io_phery_emac0_RXD0,         //                               .hps_io_phery_emac0_RXD0
		input  wire        hps_io_hps_io_phery_emac0_RXD1,         //                               .hps_io_phery_emac0_RXD1
		input  wire        hps_io_hps_io_phery_emac0_RXD2,         //                               .hps_io_phery_emac0_RXD2
		input  wire        hps_io_hps_io_phery_emac0_RXD3,         //                               .hps_io_phery_emac0_RXD3
		inout  wire        hps_io_hps_io_phery_emac0_MDIO,         //                               .hps_io_phery_emac0_MDIO
		output wire        hps_io_hps_io_phery_emac0_MDC,          //                               .hps_io_phery_emac0_MDC
		inout  wire        hps_io_hps_io_phery_sdmmc_CMD,          //                               .hps_io_phery_sdmmc_CMD
		inout  wire        hps_io_hps_io_phery_sdmmc_D0,           //                               .hps_io_phery_sdmmc_D0
		inout  wire        hps_io_hps_io_phery_sdmmc_D1,           //                               .hps_io_phery_sdmmc_D1
		inout  wire        hps_io_hps_io_phery_sdmmc_D2,           //                               .hps_io_phery_sdmmc_D2
		inout  wire        hps_io_hps_io_phery_sdmmc_D3,           //                               .hps_io_phery_sdmmc_D3
		output wire        hps_io_hps_io_phery_sdmmc_CCLK,         //                               .hps_io_phery_sdmmc_CCLK
		inout  wire        hps_io_hps_io_phery_usb0_DATA0,         //                               .hps_io_phery_usb0_DATA0
		inout  wire        hps_io_hps_io_phery_usb0_DATA1,         //                               .hps_io_phery_usb0_DATA1
		inout  wire        hps_io_hps_io_phery_usb0_DATA2,         //                               .hps_io_phery_usb0_DATA2
		inout  wire        hps_io_hps_io_phery_usb0_DATA3,         //                               .hps_io_phery_usb0_DATA3
		inout  wire        hps_io_hps_io_phery_usb0_DATA4,         //                               .hps_io_phery_usb0_DATA4
		inout  wire        hps_io_hps_io_phery_usb0_DATA5,         //                               .hps_io_phery_usb0_DATA5
		inout  wire        hps_io_hps_io_phery_usb0_DATA6,         //                               .hps_io_phery_usb0_DATA6
		inout  wire        hps_io_hps_io_phery_usb0_DATA7,         //                               .hps_io_phery_usb0_DATA7
		input  wire        hps_io_hps_io_phery_usb0_CLK,           //                               .hps_io_phery_usb0_CLK
		output wire        hps_io_hps_io_phery_usb0_STP,           //                               .hps_io_phery_usb0_STP
		input  wire        hps_io_hps_io_phery_usb0_DIR,           //                               .hps_io_phery_usb0_DIR
		input  wire        hps_io_hps_io_phery_usb0_NXT,           //                               .hps_io_phery_usb0_NXT
		input  wire        hps_io_hps_io_phery_uart0_RX,           //                               .hps_io_phery_uart0_RX
		output wire        hps_io_hps_io_phery_uart0_TX,           //                               .hps_io_phery_uart0_TX
		inout  wire        hps_io_hps_io_phery_i2c1_SDA,           //                               .hps_io_phery_i2c1_SDA
		inout  wire        hps_io_hps_io_phery_i2c1_SCL,           //                               .hps_io_phery_i2c1_SCL
		inout  wire        hps_io_hps_io_gpio_gpio1_io0,           //                               .hps_io_gpio_gpio1_io0
		inout  wire        hps_io_hps_io_gpio_gpio1_io1,           //                               .hps_io_gpio_gpio1_io1
		inout  wire        hps_io_hps_io_gpio_gpio1_io4,           //                               .hps_io_gpio_gpio1_io4
		inout  wire        hps_io_hps_io_gpio_gpio1_io5,           //                               .hps_io_gpio_gpio1_io5
		input  wire        hps_io_hps_io_jtag_tck,                 //                               .hps_io_jtag_tck
		input  wire        hps_io_hps_io_jtag_tms,                 //                               .hps_io_jtag_tms
		output wire        hps_io_hps_io_jtag_tdo,                 //                               .hps_io_jtag_tdo
		input  wire        hps_io_hps_io_jtag_tdi,                 //                               .hps_io_jtag_tdi
		input  wire        hps_io_hps_io_hps_ocs_clk,              //                               .hps_io_hps_ocs_clk
		inout  wire        hps_io_hps_io_gpio_gpio1_io19,          //                               .hps_io_gpio_gpio1_io19
		inout  wire        hps_io_hps_io_gpio_gpio1_io20,          //                               .hps_io_gpio_gpio1_io20
		inout  wire        hps_io_hps_io_gpio_gpio1_io21,          //                               .hps_io_gpio_gpio1_io21
		output wire        h2f_reset_reset,                        //                      h2f_reset.reset
		input  wire [31:0] f2h_irq1_irq,                           //                       f2h_irq1.irq
		output wire [0:0]  src_prb_rst_sources_source,             //            src_prb_rst_sources.source
		output wire        emac1_led_link_export,                  //                 emac1_led_link.export
		output wire        emac1_led_char_err_export,              //             emac1_led_char_err.export
		output wire        emac1_led_disp_err_export,              //             emac1_led_disp_err.export
		output wire        emac1_led_an_export,                    //                   emac1_led_an.export
		output wire        emac1_led_panel_link_export,            //           emac1_led_panel_link.export
		input  wire [1:0]  emac1_mge_tx_serial_clk_clk,            //        emac1_mge_tx_serial_clk.clk
		output wire [0:0]  emac1_tx_serial_data_tx_serial_data,    //           emac1_tx_serial_data.tx_serial_data
		input  wire [0:0]  emac1_rx_serial_data_rx_serial_data,    //           emac1_rx_serial_data.rx_serial_data
		output wire        emac2_led_link_export,                  //                 emac2_led_link.export
		output wire        emac2_led_char_err_export,              //             emac2_led_char_err.export
		output wire        emac2_led_disp_err_export,              //             emac2_led_disp_err.export
		output wire        emac2_led_an_export,                    //                   emac2_led_an.export
		output wire        emac2_led_panel_link_export,            //           emac2_led_panel_link.export
		input  wire [1:0]  emac2_mge_tx_serial_clk_clk,            //        emac2_mge_tx_serial_clk.clk
		output wire [0:0]  emac2_tx_serial_data_tx_serial_data,    //           emac2_tx_serial_data.tx_serial_data
		input  wire [0:0]  emac2_rx_serial_data_rx_serial_data,    //           emac2_rx_serial_data.rx_serial_data
		input  wire        emac1_mdio_gmii_mdi_i,                  //                     emac1_mdio.gmii_mdi_i
		output wire        emac1_mdio_gmii_mdo_o,                  //                               .gmii_mdo_o
		output wire        emac1_mdio_gmii_mdo_o_e,                //                               .gmii_mdo_o_e
		input  wire        emac1_ptp_ptp_aux_ts_trig_i,            //                      emac1_ptp.ptp_aux_ts_trig_i
		output wire        emac1_ptp_ptp_pps_o,                    //                               .ptp_pps_o
		output wire        emac1_ptp_ptp_tstmp_data,               //                               .ptp_tstmp_data
		output wire        emac1_ptp_ptp_tstmp_en,                 //                               .ptp_tstmp_en
		input  wire        emac2_mdio_gmii_mdi_i,                  //                     emac2_mdio.gmii_mdi_i
		output wire        emac2_mdio_gmii_mdo_o,                  //                               .gmii_mdo_o
		output wire        emac2_mdio_gmii_mdo_o_e,                //                               .gmii_mdo_o_e
		input  wire        emac2_ptp_ptp_aux_ts_trig_i,            //                      emac2_ptp.ptp_aux_ts_trig_i
		output wire        emac2_ptp_ptp_pps_o,                    //                               .ptp_pps_o
		output wire        emac2_ptp_ptp_tstmp_data,               //                               .ptp_tstmp_data
		output wire        emac2_ptp_ptp_tstmp_en,                 //                               .ptp_tstmp_en
		output wire        enet_iopll_locked_export,               //              enet_iopll_locked.export
		input  wire        gmii_adapter1_pll_locked_export,        //       gmii_adapter1_pll_locked.export
		input  wire        gmii_adapter2_pll_locked_export,        //       gmii_adapter2_pll_locked.export
		output wire [3:0]  mge_rcfg_status_export,                 //                mge_rcfg_status.export
		input  wire        mge_rcfg_reset_sink_reset_n,            //            mge_rcfg_reset_sink.reset_n
		output wire        fpll_1G_pll_locked_pll_locked,          //             fpll_1G_pll_locked.pll_locked
		output wire        fpll_1G_mcgb_serial_clk_clk,            //        fpll_1G_mcgb_serial_clk.clk
		output wire [0:0]  xcvr_reset_1_tx_ready_tx_ready,         //          xcvr_reset_1_tx_ready.tx_ready
		input  wire [1:0]  xcvr_reset_1_pll_locked_pll_locked,     //        xcvr_reset_1_pll_locked.pll_locked
		output wire [0:0]  xcvr_reset_1_rx_ready_rx_ready,         //          xcvr_reset_1_rx_ready.rx_ready
		output wire [0:0]  xcvr_reset_2_tx_ready_tx_ready,         //          xcvr_reset_2_tx_ready.tx_ready
		input  wire [1:0]  xcvr_reset_2_pll_locked_pll_locked,     //        xcvr_reset_2_pll_locked.pll_locked
		output wire [0:0]  xcvr_reset_2_rx_ready_rx_ready,         //          xcvr_reset_2_rx_ready.rx_ready
		input  wire [3:0]  button_pio_external_connection_export,  // button_pio_external_connection.export
		input  wire [3:0]  dipsw_pio_external_connection_export,   //  dipsw_pio_external_connection.export
		input  wire [2:0]  led_pio_external_connection_in_port,    //    led_pio_external_connection.in_port
		output wire [2:0]  led_pio_external_connection_out_port    //                               .out_port
	);
endmodule

