module subsys_mge (
		output wire        mge_phy1_led_link_export,               //        mge_phy1_led_link.export
		output wire        mge_phy1_led_char_err_export,           //    mge_phy1_led_char_err.export
		output wire        mge_phy1_led_disp_err_export,           //    mge_phy1_led_disp_err.export
		output wire        mge_phy1_led_an_export,                 //          mge_phy1_led_an.export
		output wire        mge_phy1_led_panel_link_export,         //  mge_phy1_led_panel_link.export
		input  wire [1:0]  mge_phy1_tx_serial_clk_clk,             //   mge_phy1_tx_serial_clk.clk
		output wire [0:0]  mge_phy1_tx_serial_data_tx_serial_data, //  mge_phy1_tx_serial_data.tx_serial_data
		input  wire [0:0]  mge_phy1_rx_serial_data_rx_serial_data, //  mge_phy1_rx_serial_data.rx_serial_data
		output wire        mge_phy2_led_link_export,               //        mge_phy2_led_link.export
		output wire        mge_phy2_led_char_err_export,           //    mge_phy2_led_char_err.export
		output wire        mge_phy2_led_disp_err_export,           //    mge_phy2_led_disp_err.export
		output wire        mge_phy2_led_an_export,                 //          mge_phy2_led_an.export
		output wire        mge_phy2_led_panel_link_export,         //  mge_phy2_led_panel_link.export
		input  wire [1:0]  mge_phy2_tx_serial_clk_clk,             //   mge_phy2_tx_serial_clk.clk
		output wire [0:0]  mge_phy2_tx_serial_data_tx_serial_data, //  mge_phy2_tx_serial_data.tx_serial_data
		input  wire [0:0]  mge_phy2_rx_serial_data_rx_serial_data, //  mge_phy2_rx_serial_data.rx_serial_data
		input  wire        emac1_gtx_clk_clk,                      //            emac1_gtx_clk.clk
		output wire        emac1_tx_clk_in_clk,                    //          emac1_tx_clk_in.clk
		output wire        emac1_rx_clk_in_clk,                    //          emac1_rx_clk_in.clk
		input  wire        emac1_tx_reset_reset_n,                 //           emac1_tx_reset.reset_n
		input  wire        emac1_rx_reset_reset_n,                 //           emac1_rx_reset.reset_n
		input  wire        emac1_mdio_gmii_mdi_i,                  //               emac1_mdio.gmii_mdi_i
		output wire        emac1_mdio_gmii_mdo_o,                  //                         .gmii_mdo_o
		output wire        emac1_mdio_gmii_mdo_o_e,                //                         .gmii_mdo_o_e
		input  wire [7:0]  emac1_phy_txd_o,                        //                    emac1.phy_txd_o
		input  wire        emac1_phy_txen_o,                       //                         .phy_txen_o
		input  wire        emac1_phy_txer_o,                       //                         .phy_txer_o
		input  wire [1:0]  emac1_phy_mac_speed_o,                  //                         .phy_mac_speed_o
		input  wire        emac1_gmii_mdo_o,                       //                         .gmii_mdo_o
		input  wire        emac1_gmii_mdo_o_e,                     //                         .gmii_mdo_o_e
		input  wire        emac1_ptp_pps_o,                        //                         .ptp_pps_o
		output wire        emac1_phy_rxdv_i,                       //                         .phy_rxdv_i
		output wire        emac1_phy_rxer_i,                       //                         .phy_rxer_i
		output wire [7:0]  emac1_phy_rxd_i,                        //                         .phy_rxd_i
		output wire        emac1_phy_col_i,                        //                         .phy_col_i
		output wire        emac1_phy_crs_i,                        //                         .phy_crs_i
		output wire        emac1_gmii_mdi_i,                       //                         .gmii_mdi_i
		output wire        emac1_ptp_aux_ts_trig_i,                //                         .ptp_aux_ts_trig_i
		input  wire        emac1_ptp_tstmp_data,                   //                         .ptp_tstmp_data
		input  wire        emac1_ptp_tstmp_en,                     //                         .ptp_tstmp_en
		input  wire        emac1_ptp_ptp_aux_ts_trig_i,            //                emac1_ptp.ptp_aux_ts_trig_i
		output wire        emac1_ptp_ptp_pps_o,                    //                         .ptp_pps_o
		output wire        emac1_ptp_ptp_tstmp_data,               //                         .ptp_tstmp_data
		output wire        emac1_ptp_ptp_tstmp_en,                 //                         .ptp_tstmp_en
		input  wire        emac2_gtx_clk_clk,                      //            emac2_gtx_clk.clk
		output wire        emac2_tx_clk_in_clk,                    //          emac2_tx_clk_in.clk
		output wire        emac2_rx_clk_in_clk,                    //          emac2_rx_clk_in.clk
		input  wire        emac2_tx_reset_reset_n,                 //           emac2_tx_reset.reset_n
		input  wire        emac2_rx_reset_reset_n,                 //           emac2_rx_reset.reset_n
		input  wire        emac2_mdio_gmii_mdi_i,                  //               emac2_mdio.gmii_mdi_i
		output wire        emac2_mdio_gmii_mdo_o,                  //                         .gmii_mdo_o
		output wire        emac2_mdio_gmii_mdo_o_e,                //                         .gmii_mdo_o_e
		input  wire [7:0]  emac2_phy_txd_o,                        //                    emac2.phy_txd_o
		input  wire        emac2_phy_txen_o,                       //                         .phy_txen_o
		input  wire        emac2_phy_txer_o,                       //                         .phy_txer_o
		input  wire [1:0]  emac2_phy_mac_speed_o,                  //                         .phy_mac_speed_o
		input  wire        emac2_gmii_mdo_o,                       //                         .gmii_mdo_o
		input  wire        emac2_gmii_mdo_o_e,                     //                         .gmii_mdo_o_e
		input  wire        emac2_ptp_pps_o,                        //                         .ptp_pps_o
		output wire        emac2_phy_rxdv_i,                       //                         .phy_rxdv_i
		output wire        emac2_phy_rxer_i,                       //                         .phy_rxer_i
		output wire [7:0]  emac2_phy_rxd_i,                        //                         .phy_rxd_i
		output wire        emac2_phy_col_i,                        //                         .phy_col_i
		output wire        emac2_phy_crs_i,                        //                         .phy_crs_i
		output wire        emac2_gmii_mdi_i,                       //                         .gmii_mdi_i
		output wire        emac2_ptp_aux_ts_trig_i,                //                         .ptp_aux_ts_trig_i
		input  wire        emac2_ptp_tstmp_data,                   //                         .ptp_tstmp_data
		input  wire        emac2_ptp_tstmp_en,                     //                         .ptp_tstmp_en
		input  wire        emac2_ptp_ptp_aux_ts_trig_i,            //                emac2_ptp.ptp_aux_ts_trig_i
		output wire        emac2_ptp_ptp_pps_o,                    //                         .ptp_pps_o
		output wire        emac2_ptp_ptp_tstmp_data,               //                         .ptp_tstmp_data
		output wire        emac2_ptp_ptp_tstmp_en,                 //                         .ptp_tstmp_en
		output wire        enet_iopll_locked_export,               //        enet_iopll_locked.export
		input  wire        gmii_adapter1_pll_locked_export,        // gmii_adapter1_pll_locked.export
		input  wire        gmii_adapter2_pll_locked_export,        // gmii_adapter2_pll_locked.export
		input  wire        enet_refclk_clk,                        //              enet_refclk.clk
		output wire [3:0]  mge_rcfg_status_export,                 //          mge_rcfg_status.export
		input  wire        mge_rcfg_reset_sink_reset_n,            //      mge_rcfg_reset_sink.reset_n
		input  wire        reset_125m_reset_n,                     //               reset_125m.reset_n
		output wire        pb_s_waitrequest,                       //                     pb_s.waitrequest
		output wire [31:0] pb_s_readdata,                          //                         .readdata
		output wire        pb_s_readdatavalid,                     //                         .readdatavalid
		input  wire [0:0]  pb_s_burstcount,                        //                         .burstcount
		input  wire [31:0] pb_s_writedata,                         //                         .writedata
		input  wire [7:0]  pb_s_address,                           //                         .address
		input  wire        pb_s_write,                             //                         .write
		input  wire        pb_s_read,                              //                         .read
		input  wire [3:0]  pb_s_byteenable,                        //                         .byteenable
		input  wire        pb_s_debugaccess,                       //                         .debugaccess
		output wire        fpll_1G_pll_locked_pll_locked,          //       fpll_1G_pll_locked.pll_locked
		output wire        fpll_1G_mcgb_serial_clk_clk,            //  fpll_1G_mcgb_serial_clk.clk
		output wire [0:0]  xcvr_reset_1_tx_ready_tx_ready,         //    xcvr_reset_1_tx_ready.tx_ready
		input  wire [1:0]  xcvr_reset_1_pll_locked_pll_locked,     //  xcvr_reset_1_pll_locked.pll_locked
		output wire [0:0]  xcvr_reset_1_rx_ready_rx_ready,         //    xcvr_reset_1_rx_ready.rx_ready
		output wire [0:0]  xcvr_reset_2_tx_ready_tx_ready,         //    xcvr_reset_2_tx_ready.tx_ready
		input  wire [1:0]  xcvr_reset_2_pll_locked_pll_locked,     //  xcvr_reset_2_pll_locked.pll_locked
		output wire [0:0]  xcvr_reset_2_rx_ready_rx_ready          //    xcvr_reset_2_rx_ready.rx_ready
	);
endmodule

